segfault or error during splitting features

2008-04-03 01:12 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11085

Description

I had a Shapefile, with only 1 single polygon. Tried to split it into 2 polgons with "split features tool". After marking the split line and

pressing right mouse button QGIS (trunk r8309) crashed:

ERROR 1: Attempt to read shape with feature id (-3) out of available range.

Segmentation fault (core dumped)

Unfortunatelly I don't know how to reproduce the crash. The core file wasn't actually dumped. Thus sorry for no debug info.

Sometimes when splitting QGIS also pops up such an information window, but doesn't crash:

"An error occured during feature splitting" 

Same as in case of the crash I can't find the pattern to reproduce it - it just sometimes happens. Maybe the 2 issues are connected.

Built and running against QT 4.3.2, Ubuntu Gutsy amd64.

History

#1 - 2008-04-04 09:13 PM - John Tull

I am also noticing the "An error occurred during feature splitting" dialog on polygon splits. Shapefile edits work in commit:287cc53e (SVN r8080), but are

failing on many shapefiles in current SVN.

Additionally, I sometimes get no error message during polygon splits and no change to the polygon. There is no error output on my Console (OS X

Leopard).

#2 - 2008-04-16 08:48 AM - Maciej Sieczka -

Still valid as of commit:b5286872 (SVN r8353).

#3 - 2008-08-01 11:10 PM - Tim Sutton

Hi

I tried to replicate (using 8975) this using the polygon test data set under qgis/tests/testdata. I tried every permutation - single split line, multiple slice lines,
spliting donut and multipart features and could not replicate.

In the absence of stacktrace or reliable way to replicate the issue, I'm going to remove the 'must fix' mark for this ticket. If more info comes to light please

update the ticket and I will re-investigate. Alternatively close the ticket if you no longer can replicate - we can always re-open it if the problem resurfaces.

Regards

Tim

#4 - 2008-10-22 10:49 AM - Magnus Homann

- Resolution set to invalid

- Status changed from Open to Closed

Time to close this bug.

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
